#ifndef _GPIO_H_
#define _GPIO_H_


/*********************************************************************
**  Constant Declaration
*********************************************************************/
#define GPIO1_ARCWTR          0x00 //Wait until TX or RX finished
#define GPIO1_EOAC            0x01 //(TX state) end of access code
#define GPIO1_FSYNC           0x01 //(RX state) frame sync
#define GPIO1_TMEO            0x02 //(TX state) TX modulation enable     
#define GPIO1_CD              0x02 //(RX state) carrier detect
#define GPIO1_ExtSyncInput    0x03 //External sync input (for direct mode), when SCT=0
#define GPIO1_PMDO            0x03 //Preamble Detect Output (PMDO), when SCT=1
#define GPIO1_TWOR            0x04
#define GPIO1_DMIQ            0x05 //In phase demodulator input   
#define GPIO1_SDO             0x06
#define GPIO1_TRXD            0x07 //Direct mode
#define GPIO1_RXD             0x08 //Direct mode
#define GPIO1_TXD             0x09 //Direct mode
#define GPIO1_PDN_RX          0x0A
#define GPIO1_ExtFSYNC        0x0B
#define GPIO1_VPOAK           0x0C //Valid Packet or Auto ACK OK Output
#define GPIO1_FPF             0x0D
#define GPIO1_PDN_TX          0x0E
#define GPIO1_FMTDO           0x0F //FIFO mode TX Data Output testing

#define GPIO2_ARCWTR          0x00 //Wait until TX or RX finished
#define GPIO2_EOAC            0x01 //(TX state) end of access code
#define GPIO2_FSYNC           0x01 //(RX state) frame sync
#define GPIO2_TMEO            0x02 //(TX state) TX modulation enable     
#define GPIO2_CD              0x02 //(RX state) carrier detect
#define GPIO2_ExtSyncInput    0x03 //External sync input (for direct mode), when SCT=0
#define GPIO2_PMDO            0x03 //Preamble Detect Output (PMDO), when SCT=1
#define GPIO2_TWOR            0x04
#define GPIO2_DMII            0x05 //Quadrature phase demodulator input   
#define GPIO2_SDO             0x06
#define GPIO2_TRXD            0x07 //Direct mode
#define GPIO2_RXD             0x08 //Direct mode
#define GPIO2_TXD             0x09 //Direct mode
#define GPIO2_PDN_TX          0x0A
#define GPIO2_ExtFSYNC        0x0B
#define GPIO2_VPOAK           0x0C //Valid Packet or Auto ACK OK Output
#define GPIO2_FPF             0x0D
#define GPIO2_BDF             0x0E //Battery Detect flag
#define GPIO2_FMRDI           0x0F //FIFO mode RX input for testing (for internal testing)

#define CKO_DCK               0x00 //(TX data clock)
#define CKO_RCK               0x01 //(RX recovery clock)
#define CKO_FPF               0x02 //(FIFO pointer flag for FIFO extension)
#define CKO_EOP               0x03 //Logic OR gate by EOP, EOVBC, EOFBC, EOVCC and RSSC_OK. (Internal usage only)
#define CKO_BBCK              0x04 //
#define CKO_BBCK1             0x05 //
#define CKO_BBCK2             0x06 //
#define CKO_Reserved          0x07 //
#define CKO_WCK               0x08 //
#define CKO_PF8M              0x09 //(FSYCK)
#define CKO_ROSC              0x0A //
#define CKO_EOADC             0x0B //
#define CKO_OKADCN            0x0C //
#define CKO_EOCAL             0x0D //
#define CKO_VPOAK             0x0E //
#define CKO_SYCK_o            0x0F //SYCK_o. (System clock without Crystal settling time)

#endif

